Page MenuHomePhabricator

References sections are not expanded anymore when viewing diffs
Closed, ResolvedPublic

Description

References sections used to be expanded when viewing diffs or independent revisions AFAIK. The behaviour could be changed during last overhaul. Is this coming back?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2016, 10:54 AM

Can you please add a screenshot of what you mean?

Oh, missed this. The reference sections were always expanded when viewing pages like https://www.wikidata.org/w/index.php?title=Q18016466&type=revision&diff=349938341&oldid=337222697.

thiemowmde triaged this task as High priority.Aug 10 2016, 4:38 PM
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde added a subscriber: thiemowmde.

The bug is that the editing UI is initialized on diffs and old revisions. This should not happen. Bug introduced in https://gerrit.wikimedia.org/r/298751.

thiemowmde moved this task from Proposed to Doing on the Wikidata-Sprint-2016-08-02 board.
thiemowmde added a subscriber: Jonas.

Change 304252 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Introduce ReadModeViewFactory for diffs and old revisions

https://gerrit.wikimedia.org/r/304252

Jonas closed this task as Resolved.Aug 12 2016, 2:21 PM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-08-02 board.

The patch is still not merged, I wonder why this is closed as resolved then.

thiemowmde reopened this task as Open.Sep 23 2016, 12:44 PM
thiemowmde moved this task from Done to Review on the Wikidata-Sprint-2016-08-02 board.
thiemowmde moved this task from Proposed to Review on the Wikidata-Sprint-2016-09-21 board.

Change 304252 merged by jenkins-bot:
Introduce ReadModeViewFactory for diffs and old revisions

https://gerrit.wikimedia.org/r/304252

Jonas closed this task as Resolved.Sep 27 2016, 10:08 AM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-09-21 board.